// stylelint-disable declaration-no-important

@each $value in $overflows {
  .overflow-#{$value} {
    overflow: $value !important;
  }
}

// Custom scrollbar to element with scroll
.scroll {
  overflow: hidden;
  &:not(.scroll-hover),
  &.scroll-hover:hover {
    overflow: overlay;
    scroll-behavior: smooth;
    &::-webkit-scrollbar-track {
      background-color: $gray-100;
      border-left: $border-width solid $gray;
    }

    &::-webkit-scrollbar {
      width: 10px;
      height: 10px;
    }

    &::-webkit-scrollbar-thumb {
      height: 50px;
      background-color: $gray;
      background-clip: content-box;
      border-color: transparent;
      border-style: solid;
      border-width: 1px 2px 1px 3px;
    }
  }

  &.scroll-dark {
    &::-webkit-scrollbar-track {
      background-color: darken($dark, 7.5%);
      border-left: $border-width solid $black;
    }

    &::-webkit-scrollbar-thumb {
      background-color: $dark;
    }
  }

}
